package com.lightinit.hsdataplatformresdir.model.admin;

import com.lightinit.hsdataplatformresdir.annotation.FieldDescriber;
import org.hibernate.validator.constraints.NotEmpty;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * Created by WangYao on 2018/5/23.
 */
public class ResourceDataRegisterDataModel {

    private Long id;

    private String resourceType;

    private String resourceState;

    @NotEmpty
    @FieldDescriber(descripton = "数据名称")
    private String resourceName;

    private String resourceIdentity;

    @NotEmpty
    @FieldDescriber(descripton = "数据摘要")
    private String resourceSummary;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date registerDate;

    @NotEmpty
    @FieldDescriber(descripton = "目录分类")
    private String catelogType;

    private Long catelogBasic;

    private Long catelogSector;

    private Long catelogTheme;

    private Long catelogCustom;

    private String shareType;

    private String openType;

    private Byte allowDeal;

    private Long createdBy;

    @NotNull(message="{notnull.message}")
    @FieldDescriber(descripton = "所属单位")
    private Long belongTo;
    private String belongToString;//所属单位名称
    @NotEmpty
    @FieldDescriber(descripton = "数据标签")
    private String dataTag;

    @NotEmpty
    @FieldDescriber(descripton = "数据项")
    private String dataItem;

    private String dataFile;

    private String demoFile;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getBelongToString() {
        return belongToString;
    }

    public void setBelongToString(String belongToString) {
        this.belongToString = belongToString;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    public String getResourceState() {
        return resourceState;
    }

    public void setResourceState(String resourceState) {
        this.resourceState = resourceState;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceIdentity() {
        return resourceIdentity;
    }

    public void setResourceIdentity(String resourceIdentity) {
        this.resourceIdentity = resourceIdentity;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public Long getCatelogBasic() {
        return catelogBasic;
    }

    public void setCatelogBasic(Long catelogBasic) {
        this.catelogBasic = catelogBasic;
    }

    public Long getCatelogSector() {
        return catelogSector;
    }

    public void setCatelogSector(Long catelogSector) {
        this.catelogSector = catelogSector;
    }

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public Long getCatelogCustom() {
        return catelogCustom;
    }

    public void setCatelogCustom(Long catelogCustom) {
        this.catelogCustom = catelogCustom;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public Byte getAllowDeal() {
        return allowDeal;
    }

    public void setAllowDeal(Byte allowDeal) {
        this.allowDeal = allowDeal;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Long getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(Long belongTo) {
        this.belongTo = belongTo;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public String getDataItem() {
        return dataItem;
    }

    public void setDataItem(String dataItem) {
        this.dataItem = dataItem;
    }

    public String getDataFile() {
        return dataFile;
    }

    public void setDataFile(String dataFile) {
        this.dataFile = dataFile;
    }

    public String getDemoFile() {
        return demoFile;
    }

    public void setDemoFile(String demoFile) {
        this.demoFile = demoFile;
    }
}
